org.jboss.netty.handler.codec.http.websocket

## Class WebSocketFrameDecoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.replay.ReplayingDecoder<VoidEnum>
      - - org.jboss.netty.handler.codec.http.websocket.WebSocketFrameDecoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler, LifeCycleAwareChannelHandler

Deprecated.
Use `org.jboss.netty.handler.codec.http.websocketx` instead. Decodes `ChannelBuffer`s into `WebSocketFrame`s.

For the detailed instruction on adding add Web Socket support to your HTTP server, take a look into the `WebSocketServer` example located in the `org.jboss.netty.example.http.websocket` package.

    @Deprecated
    public class WebSocketFrameDecoder
    extends ReplayingDecoder<VoidEnum>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Field Summary

Fields
`static int` `DEFAULT_MAX_FRAME_SIZE` Deprecated.

### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketFrameDecoder()` Deprecated.
`WebSocketFrameDecoder(int maxFrameSize)` Deprecated. Creates a new instance of `WebSocketFrameDecoder` with the specified `maxFrameSize`.

### Method Summary

Methods
`protected Object` `decode(ChannelHandlerContext ctx, Channel channel, ChannelBuffer buffer, VoidEnum state)` Deprecated. Decodes the received packets so far into a frame.

### Methods inherited from class org.jboss.netty.handler.codec.replay.ReplayingDecoder

`checkpoint, checkpoint, cleanup, decode, decodeLast, decodeLast, getState, internalBuffer, messageReceived, setState`

### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, exceptionCaught, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, isUnfold, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_FRAME_SIZE

    public static final int DEFAULT_MAX_FRAME_SIZE

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### WebSocketFrameDecoder

    public WebSocketFrameDecoder()

Deprecated.

#### WebSocketFrameDecoder

    public WebSocketFrameDecoder(int maxFrameSize)

Deprecated.
Creates a new instance of `WebSocketFrameDecoder` with the specified `maxFrameSize`. If the client sends a frame size larger than `maxFrameSize`, the channel will be closed.

Parameters:
  `maxFrameSize` - the maximum frame size to decode

### Method Detail

#### decode

    protected Object decode(ChannelHandlerContext ctx,
                Channel channel,
                ChannelBuffer buffer,
                VoidEnum state)
                     throws Exception

Deprecated.
Description copied from class: `ReplayingDecoder`
Decodes the received packets so far into a frame.

Specified by:
  `decode` in class `ReplayingDecoder<VoidEnum>`
Parameters:
  `ctx` - the context of this handler
  `channel` - the current channel
  `buffer` - the cumulative buffer of received packets so far. Note that the buffer might be empty, which means you should not make an assumption that the buffer contains at least one byte in your decoder implementation.
  `state` - the current decoder state (`null` if unused)
Returns:
  the decoded frame
Throws:
  `Exception`